import { Component, OnInit } from '@angular/core';
import {ActivatedRoute, Router} from '@angular/router';

@Component({
  selector: 'of-pages-modify-password',
  templateUrl: './modify-password-page.component.html',
})
export class ModifyPasswordPageComponent implements OnInit {
  token: string;

  constructor(
    private router: Router,
    private activatedRoute: ActivatedRoute,
  ) { }

  ngOnInit() {
    this.token = this.activatedRoute.snapshot.queryParams['token'];
    if (this.token === '' || this.token === null || this.token === undefined) {
      // Todo Token Error Message Print
      console.log('Error Token');
    }
  }

  onSignin() {
    this.router.navigate(['auth/signin']);
  }
}
